
<div class="mx-auto w-75 mt-5">
    <div class="card">
        <div class="card-header">
            <h1 class="card-title">Change Your Password</h1>
        </div>
        <div class="card-body">
            <form (ngSubmit)="submitForm()">
                <p class="text-danger" *ngIf="hasError">Incorrect old password</p>

                <div class="mb-3">
                    <label for="oldPassword" class="form-label">Old Password</label>
                    <input name="oldPassword" [(ngModel)]="oldPassword" type="password" class="form-control"
                        id="oldPassword">
                </div>
                <div class="mb-3">
                    <label for="newPassword" class="form-label">New Password</label>
                    <input name="newPassword" [(ngModel)]="newPassword" type="password" class="form-control"
                        id="newPassword">
                </div>
                <div class="mb-3">
                    <label for="repeatPassword" class="form-label">Repeat Password</label>
                    <input name="repeatPassword" [(ngModel)]="repeatPassword" type="password" class="form-control"
                        id="repeatPassword">
                    <p class="text-danger" *ngIf="newPassword !== repeatPassword">Passwords does not match</p>

                </div>
                <button type="submit" class="btn btn-primary"
                    [disabled]="newPassword !== repeatPassword">Submit</button>
            </form>

        </div>

    </div>
</div>